"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MaterializeDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class MaterializeDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_MZSQL_VERSION || options.version || 'v0.88.0';
        const container = new testcontainers_1.GenericContainer(`materialize/materialized:${version}`)
            .withExposedPorts(6875)
            // Postgresql do fast shutdown on start for db applying
            .withStartupTimeout(10 * 1000);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.MaterializeDBRunner = MaterializeDBRunner;
//# sourceMappingURL=materialize.js.map