"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticaDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class VerticaDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer() {
        const version = process.env.TEST_VERTICA_VERSION || '12.0.4-0';
        const container = new testcontainers_1.GenericContainer(`vertica/vertica-ce:${version}`)
            .withEnvironment({ TZ: 'Antarctica/Troll', VERTICA_DB_NAME: 'test', VMART_ETL_SCRIPT: '', VMART_ETL_SQL: '' })
            .withExposedPorts(5433)
            .withStartupTimeout(60 * 1000)
            .withWaitStrategy(testcontainers_1.Wait.forLogMessage('Vertica is now running'));
        return container.start();
    }
}
exports.VerticaDBRunner = VerticaDBRunner;
//# sourceMappingURL=vertica.js.map